#include "ledsbotons.h"
#include "ui_ledsbotons.h"
#include <QDebug>

LedsBotons::LedsBotons(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::LedsBotons)
{
    ui->setupUi(this);
    ib = new IndicadorBotons;
    il = new IndicadorLed;

    ui->vlAmunt->addWidget(il);
    ui->vlAvall->addWidget(ib);

    connect(ib,SIGNAL(vSenyalPremut(QString)),this,SLOT(vOscaBotoPremut(QString)));
}

LedsBotons::~LedsBotons()
{
    delete ui;
}

void LedsBotons::vOscaBotoPremut(QString qs){
    static bool bW = false,bY = false,bG = false;

    qDebug() <<qs;
    if(qs == "btIO0") il->vSetLed("W",bW = !bW);
    if(qs == "btI34") il->vSetLed("Y",bY = !bY);
    if(qs == "btI35") il->vSetLed("G",bG = !bG);

}
